org.apache.ignite.internal.processors.platform.message

## Interface PlatformMessageFilter

All Superinterfaces:
  IgniteBiPredicate<UUID,Object>, Serializable

All Known Implementing Classes:
  PlatformMessageFilterImpl, PlatformMessageLocalFilter

    public interface PlatformMessageFilter
    extends IgniteBiPredicate<UUID,Object>

Platform message filter.

### Method Summary

Methods
`void` `initialize(GridKernalContext ctx)` Initializes the filter.
`void` `onClose()` Closes the filter.

### Methods inherited from interface org.apache.ignite.lang.IgniteBiPredicate

`apply`

### Method Detail

#### initialize

    void initialize(GridKernalContext ctx)

Initializes the filter.

Parameters:
  `ctx` - Kernal context.

#### onClose

    void onClose()

Closes the filter.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017